
Core - Feature # 49760

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Susanne Moog Category: Install Tool
Created: 2013-07-07 Assigned To: Susanne Moog
Updated: 2013-07-28 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Install: Let the install tool check whether ext_localconf and ext_tables of extensions can be loaded
Description

If the install tool could check whether the inclusion of ext_tables.php and ext_localconf.php files throws errors the probability for
breaking the backend with upgrading will lessen, as the user can first disable extensions making problems.

Related issues:
related to Core - Feature # 49301: Remove/Disable extensions via install tool... Closed 2013-06-21

Associated revisions
Revision 5b667ecc - 2013-07-28 17:08 - Susanne Moog

[FEATURE] Add check if local extensions can be loaded

Add a check in the install tool that checks if all local
extensions can be loaded without fatal errors by including
ext_localconf and ext_tables files.

Change-Id: I30ff00af83e59681c52901ecc09889f5c3cd4243
Releases: 6.2
Resolves: #49760
Reviewed-on: https://review.typo3.org/22047
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-07-07 11:14 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#2 - 2013-07-07 16:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047
#3 - 2013-07-21 16:09 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#4 - 2013-07-27 23:11 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#5 - 2013-07-27 23:14 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#6 - 2013-07-28 00:38 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#7 - 2013-07-28 00:55 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#8 - 2013-07-28 01:17 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#9 - 2013-07-28 15:28 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#10 - 2013-07-28 16:44 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22047

#11 - 2013-07-28 16:49 - Christian Kuhn
- Parent task set to #49162

#12 - 2013-07-28 17:30 - Susanne Moog
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5b667eccb0bafc58edae592d9ced10f8fc79f222.
